reddit 02
9 个接口
fetch subreddit post channelsfetch subreddit settingsfetch subreddit stylefetch trending searchesfetch user active subredditsfetch user commentsfetch user postsfetch user profilefetch user trophies
GETfetch subreddit post channels
GET https://dkai.store/api/v1/reddit/app/fetch_subreddit_post_channels1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_subreddit_post_channels'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch subreddit settings
GET https://dkai.store/api/v1/reddit/app/fetch_subreddit_settings1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
subreddit_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_subreddit_settings?subreddit_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch subreddit style
GET https://dkai.store/api/v1/reddit/app/fetch_subreddit_style1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_subreddit_style'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch trending searches
GET https://dkai.store/api/v1/reddit/app/fetch_trending_searches1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_trending_searches'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user active subreddits
GET https://dkai.store/api/v1/reddit/app/fetch_user_active_subreddits1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_user_active_subreddits?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user comments
GET https://dkai.store/api/v1/reddit/app/fetch_user_comments1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_user_comments?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user posts
GET https://dkai.store/api/v1/reddit/app/fetch_user_posts1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_user_posts?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user profile
GET https://dkai.store/api/v1/reddit/app/fetch_user_profile1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_user_profile?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user trophies
GET https://dkai.store/api/v1/reddit/app/fetch_user_trophies1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/reddit/app/fetch_user_trophies?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。